<?php
require_once("../config.php");
require_once($sshfed_folder."/keyManager.php");
require_once($sshfed_folder."/api/Key.php");
require_once($sshfed_folder."/api/Auth.php");
require_once($sshfed_folder."/api/AuthManager.php");

$auth = AuthManager::getAuth($auth_module);
if ($auth->doAuth()==false) {
	die("Authentication failed");
}

?>
<html>
	<head>
		<title>Fed.SSH - Keys</title>
		<link rel="stylesheet" type="text/css" media="screen" href="css/style.css" />
		<script type="text/javascript" src="js/prototype-1.6.0.3.js"></script>
	</head>
	<body>
		<div id="header">
			<div id="logoheader">
				<div id="infouser">
					<div id="datauser"><?php echo $auth->getUser(); ?></div>
					<div id="datakeys"><?php echo count(getUserKeys($auth)); ?> keys</div>
				</div>
				<div id="title">Fed.SSH</div>
				<div id="menu">
					<ul>
						<li><a href="index.php">Home</a></li>
						<li><a href="servers.php">Servers</a></li>
						<li><a href="keys.php">Keys</a></li>
						<li id="selmenu"><a href="help.php">Help</a></li>
					</ul>
				</div>
			</div>
		</div>
		<div id="main">
			<p>The application is so easy that you shouldn't need any help :-)</p>
		</div>
	</body>
</html>